spring:
  autoconfigure:
    #自动化配置 例外处理
    exclude: com.alibaba.druid.spring.boot.autoconfigure.DruidDataSourceAutoConfigure
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://10.150.10.139:3306/tl?useUnicode=true&characterEncoding=UTF-8&serverTimezone=Asia/Shanghai&nullCatalogMeansCurrent=true&autoReconnect=true&failOverReadOnly=false&testWhileIdle=true
    username: root
    password: Zwr~-f6H,u6QE^]C-AD_
    druid:
      # 验证连接的有效性
      test-while-idle: true
      # 获取连接时候验证，会影响性能
      test-on-borrow: true
      # 空闲连接回收的时间间隔，与test-while-idle一起使用，设置5分钟
      time-between-eviction-runs-millis: 300000
      # 连接池空闲连接的有效时间 ，设置30分钟
      min-evictable-idle-time-millis: 1800000
      max-active: 200
      dynamic:
        primary: master
        datasource:
          master:
            driver-class-name: com.mysql.cj.jdbc.Driver
            url: jdbc:mysql://10.150.10.139:3306/tl?useUnicode=true&characterEncoding=UTF-8&serverTimezone=Asia/Shanghai&nullCatalogMeansCurrent=true&autoReconnect=true&failOverReadOnly=false
            username: root
            password: Zwr~-f6H,u6QE^]C-AD_

  redis:
    database: 10
    host: 10.150.10.139
    port: 6379
    password: wa3re~86Hu&ifniyM   # 密码（默认为空）
    timeout: 36000ms  # 连接超时时长（毫秒）
    jedis:
      pool:
        max-active: 1000  # 连接池最大连接数（使用负值表示没有限制）
        max-wait: -1ms      # 连接池最大阻塞等待时间（使用负值表示没有限制）
        max-idle: 10      # 连接池中的最大空闲连接
        min-idle: 5       # 连接池中的最小空闲连接

logging:
  level:
    org.camunda: debug #打印camunda 日志  一般用于 查看camunda  执行sql

# 课表时段
timetable:
  summer-start: 05-01
  summer-end: 09-30
  winter-start: 10-01
  winter-end: 04-30

mqtt:
  username:
  password:
  server:
  qos: 1

xjrsoft:
  oss:
    #enabled: true
    cloud-type: minio
    access-key: root
    secret-key: qwe123QWE
    endpoint: http://10.150.10.140:9000
    endpoint-preview: http://10.150.10.140:9000
    bucket-name: learun
    prefix: xjr
  generate:
    webPath: E:\code\font\xjrsoft-vue3 #生成代码的路径
    appPath: E:\code\uniapp\xjrsoft-uni   #前端app
  common:
    druid-account: admin # druid 监控账户
    druid-password: admin # druid 监控密码
    default-password: "Aa123456." #默认密码（用户重置密码后为该密码）
    domain-api: http://10.150.10.139:8888/api #api域名地址
#    domain-app: https://yxh-web.ngrok.yingcaibx.com/# #app域名地址
    #domain-app: http://172.19.17.106:5173/app/# #app域名地址
    domain-app: http://10.150.10.139:8888/app/# #app域名地址
    domain-web: http://10.150.10.139:8888 #web域名地址
#    domain-api: http://127.0.0.1:9000/api #api域名地址
#    domain-web: http://127.0.0.1:9000 #web域名地址
    white-list:
      - 192.168.0.139
    exclude-urls:
      - /favicon.ico  #网站图标
      - /webjars/**   #swagger(knife4j)  接口文档必要资源
      - /swagger-resources/** #swagger(knife4j) 接口文档必要资源
      - /v2/api-docs           #swagger(knife4j)  接口文档必要资源
      - /doc.html              #swagger(knife4j) 接口文档必要资源
      - /druid/**         #druid 监控
      - /ureport/**
      - /system/captcha    # 验证码
      - /system/imgcaptcha #图形验证码
      - /system/loginCaptcha # 手机验证登录
      - /system/login      # 登录接口
      - /system/logout     # 登出接口
      - /camunda/**        # camunda工作台
      - /language/**        # language
      - /${magic-api.web}/**    # magic-api web
      - /${magic-api.prefix}/** # magic-api 前缀
      - /bi/project/info # 桌面
      - /system/qrcode-login # 扫码登录
      - /oauth/callback/** #回调
      - /system/loginByCode #编号登录
      - /organization/user/register # 注册
      - /oauth2/* # oauth2
      - /system/bindOpenid # 绑定openid
      - /schedule/schedule/receive-msg
      - /system/check-QR-code-login
      - /system/loginQRCode
      - /system/QR-code-login
      - /event/receivePeople
      - /event/receiveCar
      - /event/visit
      - /system/findUserByCode
      - /system/imgcaptcha-answer
      - /student/basestudentinfo/studentinfoByKeyWord
    approval-time: 300 # 审核超时时间 目前设为5分钟
  email:
    host:  #邮件服务器的SMTP地址，可选，默认为smtp.<发件人邮箱后缀>
    port:  # 邮件服务器的SMTP端口，可选，默认25
    auth: true
    from:  # 发件人（必须正确，否则发送失败
    user: # 用户名，默认为发件人邮箱前缀
    pass:       # 密码（注意，某些邮箱需要为SMTP服务单独设置授权码，详情查看相关帮助
  enterpriseWeChat:
    corpid: ww00ce9acc4f193f18
    secret: 02YXuJw_vYYJiDQvG-eKlXCUTDAaAJ1z7m9t8_hqoa0
    secret1: z3R17Od4ROW1zPisguiQmTfx0NvcYKmoIu19-82vdtU
    agentid: 1000003
  mpWeChat:
    appKey: wx628ac080912b2a98
    appSecret: f05692a5d71a9568d01a461928dd2b8f
  appletWeChat:
    appKey: wx72e974483a9174e4
    appSecret: 3bbe99f6964c9f4fc11a8aa1224ac4b3
  weChatMessageTemplate:
    commonTemplate: qmpXORPM1Cocqn503Qa4OkNNQ0uxlj2-ed9m6uWO-v4
    assessmentTemplate: ehYfXni7exZUmt6dJX4Ukbm9ETarFfKLfXVYwNnjKMc
    attendanceMsgLateTemplate: o-KboOcqcJ3YpjPN2xwgM_NcjN-0yzwWlDDXYfTM0Q4 # 迟到消息
    attendanceMsgAbsenceTemplate: uPPJkWOSronnB_GJolcnarbl8qosDvsadxl0qL_4jdQ # 缺勤
    outInTemplate: ERkMebHjsziZO6WBrlzsbENiEuRR4vrlhJw5LR4aDr8
    attenDanceWarnTemplate: Fg4AWVQRGernl0PiJQ8gRgCUFHEGZuizlClQNuVhqu4
  dingtalk:
    appKey: dingaex2gok1rllumlqs
    appSecret: Nv2pe-UoR0Z_Iw8d29laZfL3kH6ElmhZpRdPwI7SvmKJmaCI29qCrSlFEiMM88MB
  ureport:
    account: xjrsoft
    password: 123456
  hikvision:
    host: 219.153.208.43:30443
    appKey: 21350095
    appSecret: LXi9rE2fm8IfRoLnTA2G
    people-url: http://ff.cf.yingcaibx.com/event/receivePeople
    car-url: http://ff.cf.yingcaibx.com/event/receiveCar
    visit-url: http://ff.cf.yingcaibx.com/event/visit
  keycloak:
    url: http://192.168.0.221:12829/auth/
    realm: test
    client-id: tzx-java
    secret: yo5kPZlHgmodz4vVASH61zq8i6gMhkk2
    user-name: tzx  #如果不需要后端再次 可以不需要
    password: "000000" #可以不需要
    payload: code #从payload 某个key中取值 登录
  chatgpt:
    proxy-type: 0 # 不开启代理 == -1 http == 0   socket == 1
    proxy: 192.168.0.220
    port: 1081
    api-key: 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   #your api-key. It can be generated in the link https://beta.openai.com/docs/quickstart/adjust-your-settings
    # some properties as below have default values. Of course, you can change them.
    max-tokens: 4000           # The maximum number of tokens to generate in the completion.The token count of your prompt plus max_tokens cannot exceed the model's context length. Most models have a context length of 2048 tokens (except for the newest models, which support 4096).
  #  model: text-davinci-003   # GPT-3 models can understand and generate natural language. We offer four main models with different levels of power suitable for different tasks. Davinci is the most capable model, and Ada is the fastest.
  #  temperature: 0.0          # What sampling temperature to use. Higher values means the model will take more risks. Try 0.9 for more creative applications, and 0 (argmax sampling) for ones with a well-defined answer.We generally recommend altering this or top_p but not both.
  #  top-p: 1.0                # An alternative to sampling with temperature, called nucleus sampling, where the model considers the results of the tokens with top_p probability mass. So 0.1 means only the tokens comprising the top 10% probability mass are considered.We generally recommend altering this or temperature but not both.
  sms:
    platform: HW_CLOUD #默认使用短信服务商
    captcha-sender: 8823053028920 #验证码通道号
    captcha-template-id: 97c6fcf9fd0149b39c0ed0e53480116f # 验证码 模板id
    notify-sender: 8823053111843 # 提示类提示短信 通道号
    notify-template-id: d424de0f2a9244ac9d2f2685cd158635 #提示类短信 模板id
    circulated-sender: 8823053111843 # 提示类传阅短信 通道号
    circulated-template-id: 5c179070a72447c79568ac22371be803 #提示类传阅短信 模板id
    timeout-sender: 8823053111843 # 提示类短超时信 通道号
    timeout-template-id: 5c179070a72447c79568ac22371be803 #提示类超时短信 模板id
  ctccsms: #电信三网短信配置
    app-key: 105649
    app-secret: c3868470891526d9
    signature: "【重庆市铜梁职业教育中心】"
  license:
    enabled: false                  #是否需要验证
    login-max: 100                  #最大登陆人数
    start-time: 2023-07-01 00:00:00 #开始时间
    end-time: 2023-07-03 17:00:00   #结束时间
    company-name: xxx               #公司名
    contact-number: xxx             #联系人

sms:
  huawei:
    #华为短信appKey
    appKey: 69s6YyLsrLgWW99BJ5K1K26WiF29
    #华为短信appSecret
    app-secret: RuE1YajkI6FC4Gh2WjVtOpychRGL
    #短信签名
    signature: 湘北智造
    #通道号
    sender: 8823053028920
    #模板ID 如果使用自定义模板发送方法可不设定
    template-id: 97c6fcf9fd0149b39c0ed0e53480116f
    #华为回调地址，如不需要可不设置或为空
    statusCallBack:
    #华为分配的app请求地址
    url: https://smsapi.cn-north-4.myhuaweicloud.com:443

